Bug 412251

Summary: Kmail crashes when deleting mail
Product: [Applications] kmail2 Reporter: Marius Mart <ailinca.marius>
Component: generalAssignee: kdepim bugs <kdepim-bugs>
Status: RESOLVED FIXED    
Severity: crash CC: devurandom, ek+kde, jan_braun, montel, vkrause
Priority: NOR Keywords: drkonqi
Version: 5.12.1   
Target Milestone: ---   
Platform: Archlinux   
OS: Linux   
Latest Commit: Version Fixed In:

Description Marius Mart 2019-09-23 17:44:53 UTC
Application: kmail (5.12.1)

Qt Version: 5.13.1
Frameworks Version: 5.62.0
Operating System: Linux 5.3.1-zen1-1-zen x86_64
Distribution: "Arch Linux"

-- Information about the crash:
- What I was doing when the application crashed:
Deleting an email
- Custom settings of the application:

Arch Linux, kernel 5.3.1-zen

Account for which it crashes is an IMAP connection on a Zimbra server

The crash can be reproduced every time.

-- Backtrace:
Application: KMail (kmail), signal: Aborted
Using host libthread_db library "/usr/lib/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f7f52603b40 (LWP 139702))]

Thread 26 (Thread 0x7f7ebbdae700 (LWP 139787)):
#0  0x00007f7f660cb415 in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007f7f59599edc in ?? () from /usr/lib/libQt5Script.so.5
#2  0x00007f7f59599ef9 in ?? () from /usr/lib/libQt5Script.so.5
#3  0x00007f7f660c557f in start_thread () from /usr/lib/libpthread.so.0
#4  0x00007f7f6870d0e3 in clone () from /usr/lib/libc.so.6

Thread 25 (Thread 0x7f7efd315700 (LWP 139772)):
#0  0x00007f7f68702667 in poll () from /usr/lib/libc.so.6
#1  0x00007f7f65427130 in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x00007f7f65427201 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007f7f68ca4a1c in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#4  0x00007f7f68c4b4ec in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#5  0x00007f7f68a7d385 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#6  0x00007f7f68a7e5b0 in ?? () from /usr/lib/libQt5Core.so.5
#7  0x00007f7f660c557f in start_thread () from /usr/lib/libpthread.so.0
#8  0x00007f7f6870d0e3 in clone () from /usr/lib/libc.so.6

Thread 24 (Thread 0x7f7efdfbf700 (LWP 139763)):
#0  0x00007f7f660cb415 in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007f7f5f3957cc in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#2  0x00007f7f5f3962a0 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#3  0x00007f7f5f3963cf in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#4  0x00007f7f5f34e9d8 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#5  0x00007f7f5f3564fb in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#6  0x00007f7f5f356864 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#7  0x00007f7f5f3985f5 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#8  0x00007f7f660c557f in start_thread () from /usr/lib/libpthread.so.0
#9  0x00007f7f6870d0e3 in clone () from /usr/lib/libc.so.6

Thread 23 (Thread 0x7f7efe7fc700 (LWP 139757)):
#0  0x00007f7f660cb77c in pthread_cond_timedwait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007f7f5f3958c6 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#2  0x00007f7f5f396293 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#3  0x00007f7f5f396411 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#4  0x00007f7f5f34e9c2 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#5  0x00007f7f5f3562e7 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#6  0x00007f7f5f356824 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#7  0x00007f7f5f3985f5 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#8  0x00007f7f660c557f in start_thread () from /usr/lib/libpthread.so.0
#9  0x00007f7f6870d0e3 in clone () from /usr/lib/libc.so.6

Thread 22 (Thread 0x7f7eff7fe700 (LWP 139743)):
#0  0x00007f7f660cb415 in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007f7f5f3957cc in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#2  0x00007f7f5f3962a0 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#3  0x00007f7f5f3963cf in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#4  0x00007f7f5f34e9d8 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#5  0x00007f7f5f3564fb in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#6  0x00007f7f5f3568a4 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#7  0x00007f7f5f3985f5 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#8  0x00007f7f660c557f in start_thread () from /usr/lib/libpthread.so.0
#9  0x00007f7f6870d0e3 in clone () from /usr/lib/libc.so.6

Thread 21 (Thread 0x7f7efffff700 (LWP 139742)):
#0  0x00007f7f686fe18c in read () from /usr/lib/libc.so.6
#1  0x00007f7f566e0752 in pa_read () from /usr/lib/pulseaudio/libpulsecommon-13.0.so
#2  0x00007f7f59a18f8f in pa_mainloop_prepare () from /usr/lib/libpulse.so.0
#3  0x00007f7f59a192f1 in pa_mainloop_iterate () from /usr/lib/libpulse.so.0
#4  0x00007f7f59a193b1 in pa_mainloop_run () from /usr/lib/libpulse.so.0
#5  0x00007f7f59a0961e in ?? () from /usr/lib/libpulse.so.0
#6  0x00007f7f566b9d1c in ?? () from /usr/lib/pulseaudio/libpulsecommon-13.0.so
#7  0x00007f7f660c557f in start_thread () from /usr/lib/libpthread.so.0
#8  0x00007f7f6870d0e3 in clone () from /usr/lib/libc.so.6

Thread 20 (Thread 0x7f7f04ff9700 (LWP 139741)):
#0  0x00007f7f6871a5cb in __lll_lock_wait_private () from /usr/lib/libc.so.6
#1  0x00007f7f6867c514 in buffered_vfprintf () from /usr/lib/libc.so.6
#2  0x00007f7f68679764 in __vfprintf_internal () from /usr/lib/libc.so.6
#3  0x00007f7f6871c123 in __fprintf_chk () from /usr/lib/libc.so.6
#4  0x00007f7f59178daf in event_logv_ () from /usr/lib/libevent-2.1.so.7
#5  0x00007f7f59178f78 in event_warn () from /usr/lib/libevent-2.1.so.7
#6  0x00007f7f5917aa12 in ?? () from /usr/lib/libevent-2.1.so.7
#7  0x00007f7f59170915 in event_base_loop () from /usr/lib/libevent-2.1.so.7
#8  0x00007f7f5f39c59a in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#9  0x00007f7f5f325967 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#10 0x00007f7f5f3669cf in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#11 0x00007f7f5f3985f5 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#12 0x00007f7f660c557f in start_thread () from /usr/lib/libpthread.so.0
#13 0x00007f7f6870d0e3 in clone () from /usr/lib/libc.so.6

Thread 19 (Thread 0x7f7f057fa700 (LWP 139740)):
#0  0x00007f7f660cb77c in pthread_cond_timedwait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007f7f5f3958c6 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#2  0x00007f7f5f396293 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#3  0x00007f7f5f307560 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#4  0x00007f7f5f325967 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#5  0x00007f7f5f3669cf in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#6  0x00007f7f5f3985f5 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#7  0x00007f7f660c557f in start_thread () from /usr/lib/libpthread.so.0
#8  0x00007f7f6870d0e3 in clone () from /usr/lib/libc.so.6

Thread 18 (Thread 0x7f7f067fc700 (LWP 139738)):
#0  0x00007f7f660cb415 in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007f7f5f3957cc in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#2  0x00007f7f5f3962a0 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#3  0x00007f7f5f3963cf in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#4  0x00007f7f5f307549 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#5  0x00007f7f5f325967 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#6  0x00007f7f5f3669cf in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#7  0x00007f7f5f3985f5 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#8  0x00007f7f660c557f in start_thread () from /usr/lib/libpthread.so.0
#9  0x00007f7f6870d0e3 in clone () from /usr/lib/libc.so.6

Thread 17 (Thread 0x7f7f06ffd700 (LWP 139737)):
#0  0x00007f7f660cb415 in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007f7f5f3957cc in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#2  0x00007f7f5fddbbd8 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#3  0x00007f7f5f36681d in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#4  0x00007f7f5f3985f5 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#5  0x00007f7f660c557f in start_thread () from /usr/lib/libpthread.so.0
#6  0x00007f7f6870d0e3 in clone () from /usr/lib/libc.so.6

Thread 16 (Thread 0x7f7efeffd700 (LWP 139736)):
#0  0x00007f7f686fe237 in write () from /usr/lib/libc.so.6
#1  0x00007f7f6868f9ad in _IO_file_write@@GLIBC_2.2.5 () from /usr/lib/libc.so.6
#2  0x00007f7f6868ed06 in new_do_write () from /usr/lib/libc.so.6
#3  0x00007f7f686900de in __GI__IO_file_xsputn () from /usr/lib/libc.so.6
#4  0x00007f7f6867c571 in buffered_vfprintf () from /usr/lib/libc.so.6
#5  0x00007f7f68679764 in __vfprintf_internal () from /usr/lib/libc.so.6
#6  0x00007f7f6871c123 in __fprintf_chk () from /usr/lib/libc.so.6
#7  0x00007f7f59178daf in event_logv_ () from /usr/lib/libevent-2.1.so.7
#8  0x00007f7f59178f78 in event_warn () from /usr/lib/libevent-2.1.so.7
#9  0x00007f7f5917aa12 in ?? () from /usr/lib/libevent-2.1.so.7
#10 0x00007f7f59170915 in event_base_loop () from /usr/lib/libevent-2.1.so.7
#11 0x00007f7f5f39c548 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#12 0x00007f7f5f325967 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#13 0x00007f7f5e893ea4 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#14 0x00007f7f5f366b48 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#15 0x00007f7f5f3985f5 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#16 0x00007f7f660c557f in start_thread () from /usr/lib/libpthread.so.0
#17 0x00007f7f6870d0e3 in clone () from /usr/lib/libc.so.6

Thread 15 (Thread 0x7f7f077fe700 (LWP 139735)):
#0  0x00007f7f660cb77c in pthread_cond_timedwait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007f7f5f3958c6 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#2  0x00007f7f5f396293 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#3  0x00007f7f5f396411 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#4  0x00007f7f5f34e9c2 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#5  0x00007f7f5f3564fb in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#6  0x00007f7f5f356824 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#7  0x00007f7f5f3985f5 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#8  0x00007f7f660c557f in start_thread () from /usr/lib/libpthread.so.0
#9  0x00007f7f6870d0e3 in clone () from /usr/lib/libc.so.6

Thread 14 (Thread 0x7f7f07fff700 (LWP 139734)):
#0  0x00007f7f660cb77c in pthread_cond_timedwait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007f7f5f3958c6 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#2  0x00007f7f5f396293 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#3  0x00007f7f5f396411 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#4  0x00007f7f5f34e9c2 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#5  0x00007f7f5f3564fb in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#6  0x00007f7f5f356824 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#7  0x00007f7f5f3985f5 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#8  0x00007f7f660c557f in start_thread () from /usr/lib/libpthread.so.0
#9  0x00007f7f6870d0e3 in clone () from /usr/lib/libc.so.6

Thread 13 (Thread 0x7f7f292cd700 (LWP 139732)):
#0  0x00007f7f6871a5cb in __lll_lock_wait_private () from /usr/lib/libc.so.6
#1  0x00007f7f6867c514 in buffered_vfprintf () from /usr/lib/libc.so.6
#2  0x00007f7f68679764 in __vfprintf_internal () from /usr/lib/libc.so.6
#3  0x00007f7f6871c123 in __fprintf_chk () from /usr/lib/libc.so.6
#4  0x00007f7f59178daf in event_logv_ () from /usr/lib/libevent-2.1.so.7
#5  0x00007f7f59178f78 in event_warn () from /usr/lib/libevent-2.1.so.7
#6  0x00007f7f5917aa12 in ?? () from /usr/lib/libevent-2.1.so.7
#7  0x00007f7f59170915 in event_base_loop () from /usr/lib/libevent-2.1.so.7
#8  0x00007f7f5f39c548 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#9  0x00007f7f5f325967 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#10 0x00007f7f5f3669cf in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#11 0x00007f7f5f3985f5 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#12 0x00007f7f660c557f in start_thread () from /usr/lib/libpthread.so.0
#13 0x00007f7f6870d0e3 in clone () from /usr/lib/libc.so.6

Thread 12 (Thread 0x7f7f2b7fe700 (LWP 139724)):
#0  0x00007f7f660cb77c in pthread_cond_timedwait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007f7f5f3958c6 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#2  0x00007f7f5f396293 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#3  0x00007f7f5f396411 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#4  0x00007f7f5f34e9c2 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#5  0x00007f7f5f3564fb in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#6  0x00007f7f5f356824 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#7  0x00007f7f5f3985f5 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#8  0x00007f7f660c557f in start_thread () from /usr/lib/libpthread.so.0
#9  0x00007f7f6870d0e3 in clone () from /usr/lib/libc.so.6

Thread 11 (Thread 0x7f7f2bfff700 (LWP 139723)):
#0  0x00007f7f660cb77c in pthread_cond_timedwait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007f7f5f3958c6 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#2  0x00007f7f5f396293 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#3  0x00007f7f5f396411 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#4  0x00007f7f5f34e9c2 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#5  0x00007f7f5f3564fb in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#6  0x00007f7f5f356824 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#7  0x00007f7f5f3985f5 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#8  0x00007f7f660c557f in start_thread () from /usr/lib/libpthread.so.0
#9  0x00007f7f6870d0e3 in clone () from /usr/lib/libc.so.6

Thread 10 (Thread 0x7f7f3890c700 (LWP 139722)):
#0  0x00007f7f6871a5f9 in __lll_unlock_wake_private () from /usr/lib/libc.so.6
#1  0x00007f7f6867c5bd in buffered_vfprintf () from /usr/lib/libc.so.6
#2  0x00007f7f68679764 in __vfprintf_internal () from /usr/lib/libc.so.6
#3  0x00007f7f6871c123 in __fprintf_chk () from /usr/lib/libc.so.6
#4  0x00007f7f59178daf in event_logv_ () from /usr/lib/libevent-2.1.so.7
#5  0x00007f7f59178f78 in event_warn () from /usr/lib/libevent-2.1.so.7
#6  0x00007f7f5917aa12 in ?? () from /usr/lib/libevent-2.1.so.7
#7  0x00007f7f59170915 in event_base_loop () from /usr/lib/libevent-2.1.so.7
#8  0x00007f7f5f39c548 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#9  0x00007f7f5f325967 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#10 0x00007f7f5f357e14 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#11 0x00007f7f5f366b48 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#12 0x00007f7f5f3985f5 in ?? () from /usr/lib/libQt5WebEngineCore.so.5
#13 0x00007f7f660c557f in start_thread () from /usr/lib/libpthread.so.0
#14 0x00007f7f6870d0e3 in clone () from /usr/lib/libc.so.6

Thread 9 (Thread 0x7f7f3910d700 (LWP 139721)):
#0  0x00007f7f68707e3d in syscall () from /usr/lib/libc.so.6
#1  0x00007f7f68a80972 in QSemaphore::acquire(int) () from /usr/lib/libQt5Core.so.5
#2  0x00007f7f39f52877 in ?? () from /usr/lib/qt/plugins/texttospeech/libqttexttospeech_flite.so
#3  0x00007f7f68a7e5b0 in ?? () from /usr/lib/libQt5Core.so.5
#4  0x00007f7f660c557f in start_thread () from /usr/lib/libpthread.so.0
#5  0x00007f7f6870d0e3 in clone () from /usr/lib/libc.so.6

Thread 8 (Thread 0x7f7f3a982700 (LWP 139718)):
#0  0x00007f7f68702667 in poll () from /usr/lib/libc.so.6
#1  0x00007f7f65427130 in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x00007f7f65427201 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007f7f68ca4a1c in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#4  0x00007f7f68c4b4ec in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#5  0x00007f7f68a7d385 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#6  0x00007f7f68a7e5b0 in ?? () from /usr/lib/libQt5Core.so.5
#7  0x00007f7f660c557f in start_thread () from /usr/lib/libpthread.so.0
#8  0x00007f7f6870d0e3 in clone () from /usr/lib/libc.so.6

Thread 7 (Thread 0x7f7f3b7fe700 (LWP 139708)):
#0  0x00007f7f6542564e in ?? () from /usr/lib/libglib-2.0.so.0
#1  0x00007f7f6542694b in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#2  0x00007f7f65427056 in ?? () from /usr/lib/libglib-2.0.so.0
#3  0x00007f7f65427201 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#4  0x00007f7f68ca4a1c in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#5  0x00007f7f68c4b4ec in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#6  0x00007f7f68a7d385 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#7  0x00007f7f68a7e5b0 in ?? () from /usr/lib/libQt5Core.so.5
#8  0x00007f7f660c557f in start_thread () from /usr/lib/libpthread.so.0
#9  0x00007f7f6870d0e3 in clone () from /usr/lib/libc.so.6

Thread 6 (Thread 0x7f7f3bfff700 (LWP 139707)):
#0  0x00007f7f686fe18c in read () from /usr/lib/libc.so.6
#1  0x00007f7f653d79f0 in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x00007f7f654259f1 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#3  0x00007f7f654270d8 in ?? () from /usr/lib/libglib-2.0.so.0
#4  0x00007f7f65427201 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#5  0x00007f7f68ca4a1c in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#6  0x00007f7f68c4b4ec in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#7  0x00007f7f68a7d385 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#8  0x00007f7f68a7e5b0 in ?? () from /usr/lib/libQt5Core.so.5
#9  0x00007f7f660c557f in start_thread () from /usr/lib/libpthread.so.0
#10 0x00007f7f6870d0e3 in clone () from /usr/lib/libc.so.6

Thread 5 (Thread 0x7f7f4893a700 (LWP 139706)):
#0  0x00007f7f65425662 in ?? () from /usr/lib/libglib-2.0.so.0
#1  0x00007f7f654257ef in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#2  0x00007f7f654270d8 in ?? () from /usr/lib/libglib-2.0.so.0
#3  0x00007f7f65427201 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#4  0x00007f7f68ca4a1c in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#5  0x00007f7f68c4b4ec in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#6  0x00007f7f68a7d385 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#7  0x00007f7f68a7e5b0 in ?? () from /usr/lib/libQt5Core.so.5
#8  0x00007f7f660c557f in start_thread () from /usr/lib/libpthread.so.0
#9  0x00007f7f6870d0e3 in clone () from /usr/lib/libc.so.6

Thread 4 (Thread 0x7f7f49b4b700 (LWP 139705)):
#0  0x00007f7f68702667 in poll () from /usr/lib/libc.so.6
#1  0x00007f7f65427130 in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x00007f7f65427201 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007f7f68ca4a1c in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#4  0x00007f7f68c4b4ec in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#5  0x00007f7f68a7d385 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#6  0x00007f7f681e1b37 in ?? () from /usr/lib/libQt5DBus.so.5
#7  0x00007f7f68a7e5b0 in ?? () from /usr/lib/libQt5Core.so.5
#8  0x00007f7f660c557f in start_thread () from /usr/lib/libpthread.so.0
#9  0x00007f7f6870d0e3 in clone () from /usr/lib/libc.so.6

Thread 3 (Thread 0x7f7f4b411700 (LWP 139704)):
#0  0x00007f7f660cb415 in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007f7f4b57bf5c in ?? () from /usr/lib/dri/i965_dri.so
#2  0x00007f7f4b57bb58 in ?? () from /usr/lib/dri/i965_dri.so
#3  0x00007f7f660c557f in start_thread () from /usr/lib/libpthread.so.0
#4  0x00007f7f6870d0e3 in clone () from /usr/lib/libc.so.6

Thread 2 (Thread 0x7f7f5186e700 (LWP 139703)):
#0  0x00007f7f68702667 in poll () from /usr/lib/libc.so.6
#1  0x00007f7f651fd630 in ?? () from /usr/lib/libxcb.so.1
#2  0x00007f7f651ff2db in xcb_wait_for_event () from /usr/lib/libxcb.so.1
#3  0x00007f7f52199101 in ?? () from /usr/lib/libQt5XcbQpa.so.5
#4  0x00007f7f68a7e5b0 in ?? () from /usr/lib/libQt5Core.so.5
#5  0x00007f7f660c557f in start_thread () from /usr/lib/libpthread.so.0
#6  0x00007f7f6870d0e3 in clone () from /usr/lib/libc.so.6

Thread 1 (Thread 0x7f7f52603b40 (LWP 139702)):
[KCrash Handler]
#6  0x00007f7f6864b755 in raise () from /usr/lib/libc.so.6
#7  0x00007f7f68636851 in abort () from /usr/lib/libc.so.6
#8  0x00007f7f6886981f in __gnu_cxx::__verbose_terminate_handler () at /build/gcc/src/gcc/libstdc++-v3/libsupc++/vterminate.cc:95
#9  0x00007f7f6887630a in __cxxabiv1::__terminate (handler=<optimized out>) at /build/gcc/src/gcc/libstdc++-v3/libsupc++/eh_terminate.cc:47
#10 0x00007f7f68876367 in std::terminate () at /build/gcc/src/gcc/libstdc++-v3/libsupc++/eh_terminate.cc:57
#11 0x00007f7f688765bd in __cxxabiv1::__cxa_throw (obj=obj@entry=0x55cf82e31410, tinfo=0x7f7f689ae488 <typeinfo for std::out_of_range>, dest=0x7f7f6888c7a0 <std::out_of_range::~out_of_range()>) at /build/gcc/src/gcc/libstdc++-v3/libsupc++/eh_throw.cc:95
#12 0x00007f7f6886c431 in std::__throw_out_of_range_fmt (__fmt=<optimized out>) at /build/gcc/src/gcc/libstdc++-v3/src/c++11/functexcept.cc:82
#13 0x00007f7efc55ac72 in ?? () from /usr/lib/libZXingCore.so.1
#14 0x00007f7efc55adad in ?? () from /usr/lib/libZXingCore.so.1
#15 0x00007f7efc55b1e4 in ?? () from /usr/lib/libZXingCore.so.1
#16 0x00007f7efc55b4d7 in ZXing::Pdf417::Detector::Detect(ZXing::BinaryBitmap const&, bool, ZXing::Pdf417::Detector::Result&) () from /usr/lib/libZXingCore.so.1
#17 0x00007f7efc55d1cf in ZXing::Pdf417::DoDecode(ZXing::BinaryBitmap const&, bool, std::__cxx11::list<ZXing::Result, std::allocator<ZXing::Result> >&) () from /usr/lib/libZXingCore.so.1
#18 0x00007f7efc55e1b7 in ZXing::Pdf417::Reader::decode(ZXing::BinaryBitmap const&) const () from /usr/lib/libZXingCore.so.1
#19 0x00007f7efc50f2e9 in ZXing::MultiFormatReader::read(ZXing::BinaryBitmap const&) const () from /usr/lib/libZXingCore.so.1
#20 0x00007f7efc962a31 in KItinerary::BarcodeDecoder::decodeZxing(QImage const&, QFlags<KItinerary::BarcodeDecoder::BarcodeType>, KItinerary::BarcodeDecoder::Result&) const () from /usr/lib/libKPimItinerary.so.5
#21 0x00007f7efc963101 in KItinerary::BarcodeDecoder::decodeIfNeeded(QImage const&, QFlags<KItinerary::BarcodeDecoder::BarcodeType>, KItinerary::BarcodeDecoder::Result&) const () from /usr/lib/libKPimItinerary.so.5
#22 0x00007f7efc96332d in KItinerary::BarcodeDecoder::decodeBinary(QImage const&, QFlags<KItinerary::BarcodeDecoder::BarcodeType>) const () from /usr/lib/libKPimItinerary.so.5
#23 0x00007f7efc983d40 in ?? () from /usr/lib/libKPimItinerary.so.5
#24 0x00007f7efc98411f in ?? () from /usr/lib/libKPimItinerary.so.5
#25 0x00007f7efc970a94 in ?? () from /usr/lib/libKPimItinerary.so.5
#26 0x00007f7efc970ee6 in ?? () from /usr/lib/libKPimItinerary.so.5
#27 0x00007f7efc971225 in KItinerary::ExtractorEngine::extract() () from /usr/lib/libKPimItinerary.so.5
#28 0x00007f7efcaf259a in ?? () from /usr/lib/qt/plugins/messageviewer/bodypartformatter/messageviewer_bodypartformatter_semantic.so
#29 0x00007f7f673eecaa in MimeTreeParser::ObjectTreeParser::processType(KMime::Content*, MimeTreeParser::ProcessResult&, QByteArray const&) () from /usr/lib/libKF5MimeTreeParser.so.5
#30 0x00007f7f673ef3d1 in MimeTreeParser::ObjectTreeParser::parseObjectTreeInternal(KMime::Content*, bool) () from /usr/lib/libKF5MimeTreeParser.so.5
#31 0x00007f7f673f453f in MimeTreeParser::MessagePart::parseInternal(KMime::Content*, bool) () from /usr/lib/libKF5MimeTreeParser.so.5
#32 0x00007f7f673f46c0 in MimeTreeParser::MimeMessagePart::MimeMessagePart(MimeTreeParser::ObjectTreeParser*, KMime::Content*, bool) () from /usr/lib/libKF5MimeTreeParser.so.5
#33 0x00007f7efcabd015 in ?? () from /usr/lib/qt/plugins/messageviewer/bodypartformatter/messageviewer_bodypartformatter_application_gnupgwks.so
#34 0x00007f7f673eecaa in MimeTreeParser::ObjectTreeParser::processType(KMime::Content*, MimeTreeParser::ProcessResult&, QByteArray const&) () from /usr/lib/libKF5MimeTreeParser.so.5
#35 0x00007f7f673ef3d1 in MimeTreeParser::ObjectTreeParser::parseObjectTreeInternal(KMime::Content*, bool) () from /usr/lib/libKF5MimeTreeParser.so.5
#36 0x00007f7f673ef7f0 in MimeTreeParser::ObjectTreeParser::parseObjectTree(KMime::Content*, bool) () from /usr/lib/libKF5MimeTreeParser.so.5
#37 0x00007f7f679d2e05 in ?? () from /usr/lib/libKF5MessageViewer.so.5
#38 0x00007f7f679d3514 in ?? () from /usr/lib/libKF5MessageViewer.so.5
#39 0x00007f7f679d405f in ?? () from /usr/lib/libKF5MessageViewer.so.5
#40 0x00007f7f68c78b70 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/libQt5Core.so.5
#41 0x00007f7f68c85b78 in QTimer::timeout(QTimer::QPrivateSignal) () from /usr/lib/libQt5Core.so.5
#42 0x00007f7f68c793e5 in QObject::event(QEvent*) () from /usr/lib/libQt5Core.so.5
#43 0x00007f7f696064f5 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQt5Widgets.so.5
#44 0x00007f7f6960fe11 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQt5Widgets.so.5
#45 0x00007f7f68c4c9c2 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib/libQt5Core.so.5
#46 0x00007f7f68ca3d9d in QTimerInfoList::activateTimers() () from /usr/lib/libQt5Core.so.5
#47 0x00007f7f68ca466a in ?? () from /usr/lib/libQt5Core.so.5
#48 0x00007f7f654253ae in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#49 0x00007f7f654271c1 in ?? () from /usr/lib/libglib-2.0.so.0
#50 0x00007f7f65427201 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#51 0x00007f7f68ca4a03 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#52 0x00007f7f68c4b4ec in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#53 0x00007f7f68c53326 in QCoreApplication::exec() () from /usr/lib/libQt5Core.so.5
#54 0x000055cf7c9d306a in ?? ()
#55 0x00007f7f68637ee3 in __libc_start_main () from /usr/lib/libc.so.6
#56 0x000055cf7c9d321e in ?? ()
[Inferior 1 (process 139702) detached]

Possible duplicates by query: bug 409782, bug 405987, bug 405983, bug 405851, bug 405703.

Reported using DrKonqi
Comment 1 Volker Krause 2019-10-15 12:55:49 UTC
A local workaround for this is to delete /usr/lib64/plugins/messageviewer/bodypartformatter/messageviewer_bodypartformatter_semantic.so (exact location can vary slightly depending on the distro).

Debugging the actual problem would require access on the offending email. This entire class of errors has been mitigated in 19.12 by moving PDF parsing out of the KMail process.
Comment 2 Christophe Marin 2019-12-11 21:42:05 UTC
*** Bug 415068 has been marked as a duplicate of this bug. ***
Comment 3 Christophe Marin 2019-12-11 21:42:14 UTC
*** Bug 414896 has been marked as a duplicate of this bug. ***
Comment 4 Christophe Marin 2019-12-11 21:42:35 UTC
*** Bug 414409 has been marked as a duplicate of this bug. ***
Comment 5 Christophe Marin 2019-12-11 21:44:33 UTC
*** Bug 414794 has been marked as a duplicate of this bug. ***
Comment 6 Justin Zobel 2022-09-30 04:37:57 UTC
Thank you for reporting this crash in KDE software. As it has been a while since this issue was reported, can we please ask you to see if you can reproduce the crash with a recent software version?

If you can reproduce the issue, please change the status to "CONFIRMED" when replying. Thank you!
Comment 7 Bug Janitor Service 2022-10-15 04:55:28 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least
15 days. Please provide the requested information as soon as
possible and set the bug status as REPORTED. Due to regular bug
tracker maintenance, if the bug is still in NEEDSINFO status with
no change in 30 days the bug will be closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

If you have already provided the requested information, please
mark the bug as REPORTED so that the KDE team knows that the bug is
ready to be confirmed.

Thank you for helping us make KDE software even better for everyone!
Comment 8 Marius Mart 2022-10-22 07:40:09 UTC
It doesn't reproduce anymore. Thanks!